# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class ExtensionPoint.ExtensionHandler

    java.lang.Object
      com.google.gdata.util.XmlParser.ElementHandler
          com.google.gdata.data.AbstractExtension.AttributesHandler
              com.google.gdata.data.ExtensionPoint.ExtensionHandler

Direct Known Subclasses:
  BaseEntry.AtomHandler, Categories.Handler, Collection.Handler, ExtensionDescription.Handler, Link.AtomHandler, OpenSearchDescriptionDocument.Handler, Person.AtomHandler, PubControl.AtomHandler, ServiceDocument.Handler, SitemapMobile.Handler, SitemapNews.Handler, Source.SourceHandler, W3CPoint.Handler, Who.Handler, Workspace.Handler

Enclosing class:
  ExtensionPoint

    public class ExtensionPoint.ExtensionHandler

extends AbstractExtension.AttributesHandler

ElementHandler implementation for handlers associated with an ExtensionPoint class. Provides common initialization and code for looking up handlers defined within the ExtensionProfile associated with the ExtensionPoint.

Field Summary
`protected java.lang.Class<? extends ExtensionPoint>` `extendedClass`
`protected ExtensionManifest` `extManifest`
`protected ExtensionProfile` `extProfile`
`protected boolean` `hasExtensions`

Fields inherited from class com.google.gdata.util.XmlParser.ElementHandler
`qName, value, xmlBase, xmlLang`

Constructor Summary
`ExtensionPoint.ExtensionHandler(ExtensionProfile profile, java.lang.Class<? extends ExtensionPoint> extendedClass)` Constructs a new Handler instance that process extensions on a class associated with the ExtensionPoint.
`ExtensionPoint.ExtensionHandler(ExtensionProfile profile, java.lang.Class<? extends ExtensionPoint> extendedClass, org.xml.sax.Attributes attrs)` Constructs a new Handler instance that process extensions on a class associated with the ExtensionPoint, and consumes the attributes.

Method Summary
`XmlParser.ElementHandler` `getChildHandler(java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` Determines a handler for a child element.
`void` `processEndElement()` Called to process this element when the closing tag is encountered.

Methods inherited from class com.google.gdata.util.XmlParser.ElementHandler
`getAbsoluteUri, getBooleanAttribute, getChildHandler, initializeXmlBlob, parseBooleanValue, processAttribute, processAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### extProfile

    protected ExtensionProfile extProfile

### extendedClass

    protected java.lang.Class<? extends ExtensionPoint> extendedClass

### hasExtensions

    protected boolean hasExtensions

### extManifest

    protected ExtensionManifest extManifest

Constructor Detail

### ExtensionPoint.ExtensionHandler

    public ExtensionPoint.ExtensionHandler(ExtensionProfile profile,
                                           java.lang.Class<? extends ExtensionPoint> extendedClass)

  Constructs a new Handler instance that process extensions on a class associated with the ExtensionPoint. e

  Parameters:
    `profile` - The extension profile associatd with the Handler.
    `extendedClass` - The extended class within the profile for this handler

### ExtensionPoint.ExtensionHandler

    public ExtensionPoint.ExtensionHandler(ExtensionProfile profile,
                                           java.lang.Class<? extends ExtensionPoint> extendedClass,
                                           org.xml.sax.Attributes attrs)

  Constructs a new Handler instance that process extensions on a class associated with the ExtensionPoint, and consumes the attributes.

  Parameters:
    `profile` - The extension profile associatd with the Handler.
    `extendedClass` - The extended class within the profile for this handler
    `attrs` - XML attributes or `null` to suppress the use of `AttributeHelper`

Method Detail

### getChildHandler

    public XmlParser.ElementHandler getChildHandler(java.lang.String namespace,
                                                    java.lang.String localName,
                                                    org.xml.sax.Attributes attrs)
                                             throws ParseException,
                                                    java.io.IOException

  Description copied from class: `XmlParser.ElementHandler`
  Determines a handler for a child element.

  The default implementation doesn't recognize anything. The result is a schema error unless the parent handler accepts unrecognized XML. `XmlParser`. localname/namespace.

  Overrides:
    `getChildHandler` in class `XmlParser.ElementHandler`
  Parameters:
    `namespace` - Child element namespace URI.
    `localName` - Child element name.
    `attrs` - Child element attributes. These attributes will be communicated to the child element handler through its `XmlParser.ElementHandler.processAttribute(java.lang.String, java.lang.String, java.lang.String, java.lang.String)` method. They are passed here because sometimes the value of some attribute determines the element's content type, so different element handlers may be needed.
  Returns:
    Child element handler, or `null` if the child is unrecognized.
  Throws:
    `ParseException` - Invalid child element.
    `java.io.IOException` - Internal I/O exception (e.g., thrown by XML blob writer).

### processEndElement

    public void processEndElement()
                           throws ParseException

  Description copied from class: `XmlParser.ElementHandler`
  Called to process this element when the closing tag is encountered. The default implementation refuses to accept text() content, unless the handler is configured to accept unrecognized XML with mixed content.

  Overrides:
    `processEndElement` in class `AbstractExtension.AttributesHandler`
  Throws:
    `ParseException`